<#ibiztemplate>
TARGET=PSSYSAPP
</#ibiztemplate>
<#ibizinclude>../@MACRO/FUNC.ts</#ibizinclude>
<#list app.getAllPSAppDataEntities() as dataEntitey>
import ${dataEntitey.getCodeName()?lower_case}_zh_CN from '@locale/lanres/${srffilepath2(dataEntitey.getCodeName())}/${srffilepath2(dataEntitey.getCodeName())}_zh_CN';
</#list>
import userCustom_zh_CN from '@locale/lanres/userCustom/userCustom_zh_CN';
import codelist_zh_CN from '@locale/lanres/codelist/codelist_zh_CN';
<#assign langrestype = 'ZH_CN'/>

export default {
<#--  本地化语言资源 中文  -->
    app: {
        gridpage: {
            choicecolumns: '选择列',
            refresh: '刷新',
            show: '显示',
            records: '条',
            totle: '共',
        },
        tabpage: {
            sureclosetip: {
                title: '关闭提醒',
                content: '表单数据已经修改，确定要关闭？',
            },
            closeall: '关闭所有',
            closeother: '关闭其他',
        },
        fileUpload: {
            caption: '上传',
        },
        searchButton: {
            search: '搜索',
            reset: '重置',
        },
        // 非实体视图
        views: {
            <#if app.isPubRefViewOnly()><#assign allAppViews = app.getAllRefPSAppViews()/><#else><#assign allAppViews = app.getAllPSAppViews()/></#if>
            <#if allAppViews??>
            <#list allAppViews as obj>
            <#if !obj.isPSDEView()>
            ${obj.getCodeName()?lower_case}: {
                caption: '<#ibizinclude>../@MACRO/CAPTIONLANG.ts</#ibizinclude>',
                title: '<@getTitleLanguage obj langrestype />',
            },
            </#if>
            </#list>
            </#if>
        },
        menus: {
            <#list app.getAllPSAppMenuModels() as menu>
            ${menu.getCodeName()?lower_case}: {
                <#list menu.getAllPSAppMenuItems() as obj>
                ${obj.getName()?lower_case}: '<#ibizinclude>../@MACRO/CAPTIONLANG.ts</#ibizinclude>',
                </#list>
            },
            </#list>
        },
    },
    codelist: codelist_zh_CN,
    <#list app.getAllPSAppDataEntities() as dataEntitey>
    ${dataEntitey.getCodeName()?lower_case}: ${dataEntitey.getCodeName()?lower_case}_zh_CN,
    </#list>
    userCustom: userCustom_zh_CN,
};